#ifndef DEFVALUES_H
#define DEFVALUES_H
#include <windows.h>

namespace ELDEF
{
	const int _DEFAULT_VALUE_ = -1;

	size_t PlotNumberToDefaultColor(size_t plotnum);

	COLORREF GetDefPlotColor(size_t plotnum);

	COLORREF GetDefPlotBGColor();

	LONG GetDefPlotWidth();

	LONG GetDefPlotStyle();

	LONG GetDefPlotType();

	const char* GetDefPlotName( LONG PlotNum );
	//////////////////////////////////////////////////////////////////////////

	LONG GetDefBarRefValue();

	LONG GetDefBarRefMode();

	LONG GetDefSameAsSymbol();

	LONG GetDefSemilogAxis();
	//////////////////////////////////////////////////////////////////////////


}//!namespace ELDEF

namespace ELRW
{

	#include "EnumInDefFiles.h"
	#include "ELColorEnum.mh"
	#include "ELEnums.mh"
	#include "UndefEnumInDefFiles.h"


	long				ELRWColorToMC(long c, bool legacycolor);
	long				MCColorToELRW(long c, bool legacycolor);

	long				MCPlotWigthToEL(long _width);
	long				ELPlotWigthToMC(long _width);
}
#endif